declare enum CodeType {
    line = 0,
    raw = 1
}
declare type Buffer = Array<{
    type: CodeType;
    code: string;
}>;
export default class CodeBuffer {
    private trackerIndex;
    buffer: Buffer;
    root: string;
    filePath: string;
    constructor(options?: CodeBufferOptions);
    walk(mirror: Mirror, parentPath?: ParentPath): void;
    addCopy(from: string, to: string[], data: MirrorData, parentPath?: ParentPath): void;
    fromConstant(constant: any, to: string[], parentPath?: ParentPath): void;
    fromMustache(from: string, to: string[], parentPath?: ParentPath): void;
    fromPath(from: string[], to: string[], parentPath?: ParentPath): void;
    getParams(parentPath?: ParentPath, isSecure?: boolean): {
        getter: string;
        setter: string;
    };
    transformGetter(path: string[], variable: string, isSecure?: boolean): string;
    transfromSetter(to: string[], setter: string, content: string): string;
    addPreprocesser(preprocesser: string): void;
    toString(): string;
}
export {};
