var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./CodeBuffer", "../common"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var CodeBuffer_1 = __importDefault(require("./CodeBuffer"));
    var common_1 = require("../common");
    function compile(options) {
        var errors = [];
        var code = '';
        var source = options.source, rootVar = options.rootVar, _a = options.format, format = _a === void 0 ? 'json' : _a, filePath = options.filePath, getNamespace = options.getNamespace;
        var res = common_1.compileTarget(source, CodeBuffer_1.default, {
            rootVar: rootVar,
            filePath: filePath,
            format: format,
            getNamespace: getNamespace
        });
        code = res.code;
        res.errors && errors.push.apply(errors, res.errors);
        return {
            code: code,
            errors: errors
        };
    }
    exports.compile = compile;
});
//# sourceMappingURL=index.js.map