(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var json2php = function (obj) {
        var i, result;
        switch (Object.prototype.toString.call(obj)) {
            case '[object Null]':
            case '[object Undefined]':
                result = 'null';
                break;
            case '[object String]':
                result = "'" + obj.replace(/\\/g, '\\\\').replace(/\'/g, "\\'") + "'";
                break;
            case '[object Number]':
            case '[object Boolean]':
                result = obj.toString();
                break;
            case '[object Array]':
                result = 'array(' + obj.map(json2php).join(', ') + ')';
                break;
            case '[object Object]':
                result = [];
                for (i in obj) {
                    if (obj.hasOwnProperty(i)) {
                        result.push(json2php(i) + " => " + json2php(obj[i]));
                    }
                }
                result = "array(" + result.join(", ") + ")";
                break;
            default:
                result = 'null';
        }
        return result;
    };
    exports.default = json2php;
});
//# sourceMappingURL=json2php.js.map